开源模拟器 QEMU 2.12.0 发布,包含大量不兼容更改

来源: 投稿
作者: 王练
2018-04-26 07:50:00

QEMU 是一个通用的开源模拟器和虚拟机,基本上已支持所有的操作系统。

QEMU 2.12.0 已发布,值得留意的是该版本包含许多不兼容的更新和变化,像是:

  • 弃用的 CLI 选项 “-tdf”,“-no-kvm-pit” 和 “-drive boot = on | off” 已被彻底删除。

  • 弃用的 CLI 选项 “-net channel” 已被删除,可使用 "-netdev user,guestfwd=..." 替代。

  • 弃用的 CLI 选项 “-hdachs” 已被删除,现在可指定磁盘参数,例如通过-device ide-hd,cyls = c,heads = h,secs = s 代替。

  • 在 x86 上使用 “-drive if = scsi” 配置 SCSI 设备的原有方式已被删除。改为使用适当的 SCSI 控制器 “-device scsi-hd” 或 “-device scsi-cd” 和相应的 “-blockdev” 参数。

  • 使用 “-usbdevice” 配置 “host”,“serial”,“disk” 或“net” USB 设备的原有方式已被删除。改用 “-device usb -...” 。

  • 不推荐使用的 HMP 命令 “usb_add” 和 “usb_del” 已被删除。改为使用 “device_add” 和 “device_del” 。

  • 不推荐使用的 HMP 命令 “host_net_add” 和 “host_net_remove” 已被删除。改用 “netdev_add” 和 “netdev_remove” 。

  • 转储网络流量的方式已被删除。改用 “-object filter-dump”。

  • 弃用的 “spapr-pci-vfio-host-bridge” 已被删除。自 QEMU v2.6.0 以后,vfio 不再需要它。

更多细节请查阅发行列表:

下载地址:

展开阅读全文
6 收藏
分享
2 评论
6 收藏
分享
返回顶部
顶部